KDockWidgetAbstractHeader class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDockWidgetAbstractHeader Class Reference

An abstract base clase for all dockwidget headers (and member of the dockwidget class set). More...

`#include <kdockwidget.h>`

Inheritance diagram for KDockWidgetAbstractHeader:

[legend]
Collaboration diagram for KDockWidgetAbstractHeader:

[legend]
List of all members.

## Public Member Functions
| KDockWidgetAbstractHeader (KDockWidget *parent, const char *name=0L)
| Constructs this.
virtual | ~KDockWidgetAbstractHeader ()
| Destructs this.
virtual void | setTopLevel (bool)
| Provides things concerning to switching to toplevel mode.
virtual void | saveConfig (KConfig *)
| Provides saving the current configuration.
virtual void | loadConfig (KConfig *)
| Provides loading the current configuration.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

An abstract base clase for all dockwidget headers (and member of the dockwidget class set).

See the class description of KDockWidgetHeader! More or less a minor helper class for the dockwidget class set.

Author:
  Max Judin (documentation: Falk Brettschneider).

Definition at line 98 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockWidgetAbstractHeader::KDockWidgetAbstractHeader | ( | KDockWidget * | parent,
|  | const char * | name = 0L
| ) |

  | Constructs this. Parameters:
  parent | the parent widget (usually a dockwidget)
  name | the object instance name
Definition at line 205 of file kdockwidget.cpp. References KStdAccel::name().

virtual KDockWidgetAbstractHeader::~KDockWidgetAbstractHeader | ( |  | ) | `[inline, virtual]`

| Destructs this. Definition at line 114 of file kdockwidget.h.

## Member Function Documentation

virtual void KDockWidgetAbstractHeader::setTopLevel | ( | bool |  | ) | `[inline, virtual]`

| Provides things concerning to switching to toplevel mode. Must be overridden by an inheriting class. Reimplemented in KDockWidgetHeader. Definition at line 119 of file kdockwidget.h. Referenced by KDockWidget::updateHeader().

virtual void KDockWidgetAbstractHeader::saveConfig | ( | KConfig * |  | ) | `[inline, virtual]`

| Provides saving the current configuration. Must be overridden by an inheriting class. Reimplemented in KDockWidgetHeader. Definition at line 125 of file kdockwidget.h. Referenced by KDockManager::writeConfig().

virtual void KDockWidgetAbstractHeader::loadConfig | ( | KConfig * |  | ) | `[inline, virtual]`

| Provides loading the current configuration. Must be overridden by an inheriting class Reimplemented in KDockWidgetHeader. Definition at line 130 of file kdockwidget.h. Referenced by KDockManager::readConfig().

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:00:07 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001